## Apache Zeta Components Manual :: Docs For Class ezcConfigurationException

### Configuration::ezcConfigurationException

### Class ezcConfigurationException

This class provides an exception container for use with the Configuration component.

Source for this file: /Configuration/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcConfigurationException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcConfigurationNoConfigException | Exception that is thrown if no configuration object is present to work on.
ezcConfigurationNoConfigObjectException | Exception that is thrown if no configuration object has been set to operate on. The operation cannot continue with this object.
ezcConfigurationManagerNotInitializedException | Exception that is thrown if an invalid class is passed as INI reader to the manager.
ezcConfigurationUnknownSettingException | Exception that is thrown if the specified setting does not exist in the settings.
ezcConfigurationUnknownGroupException | Exception that is thrown if the specified group does not exist in the settings.
ezcConfigurationSettingnameNotStringException | Exception that is thrown if the name of a setting is not a string.
ezcConfigurationParseErrorException | Exception that is thrown if there were errors while parsing a file while the parser was not in validation mode.
ezcConfigurationReadFailedException | Exception that is thrown if the read operation for the configuration failed.
ezcConfigurationInvalidReaderClassException | Exception that is thrown if an invalid class is passed as INI reader to the manager.
ezcConfigurationSettingWrongTypeException | Exception that is thrown if the accessed setting is not of the requested type.
ezcConfigurationInvalidSuffixException | Exception that is thrown if the current location is not valid. This means it is impossible to read or write using the location values.
ezcConfigurationUnknownConfigException | Exception that is thrown if the specified configuration does not exist in the system.
ezcConfigurationWriteFailedException | Exception that is thrown if the write operation for the configuration failed.
ezcConfigurationGroupExistsAlreadyException | Exception that is thrown if a group is tried to be added, while it already exists.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3